FROM anapsix/alpine-java
ENV TZ=Asia/Ho_Chi_Minh
RUN ln -snf /usr/share/zoneinfo/$TZ /etc/localtime && echo $TZ > /etc/timezone
# Adding cacerts file from current Java disto to "conf" directory of Tomcat
ADD api-portal/ /var/www/
ADD libs/common/ /var/www/lib/
ADD libs/web/ /var/www/lib/

WORKDIR /var/www/
RUN chmod -Rf 777 /var/www/

ENTRYPOINT ["java","-Dten=PORTAL", "-cp","lib/common/*:lib/web/*:lib/*","com.vinplay.api.server.VinplayPortalMain"]
